package com.kxs.common.mq.model;

import com.kxs.common.mq.enums.MQSendTypeEnum;
import org.springframework.amqp.core.Message;

/**
 * 全局顶级 MQ队列配置
 *
 * @author 没秃顶的码农
 * @date 2024-04-25
 */
public abstract class AbstractMQ {


    /**
     * MQ队列名称
     */
    public abstract String getQueueName();

    /**
     * MQ死信队列名称
     */
    public abstract String getDeadQueueName();

    /**
     * MQ 类型
     */
    public abstract MQSendTypeEnum getMqType();

    /**
     * 构造MQ消息体 String类型
     */
    public abstract Message toMessage();
}
